---
- name: Add the users
  ansible.builtin.user:
    name: "{{ item }}"
    groups:
      - sudo
    append: true
    shell: /bin/bash
  loop: "{{ netops_users }}"
  become: true
- name: Add the shared hamwan user
  ansible.builtin.user:
    name: "{{ target_shared_user }}"
    groups:
      - sudo
    append: true
    shell: /bin/bash
    password: "{{ target_password | password_hash('sha512', 'hamwan') }}"
  become: true
- name: Add their authorized keys
  ansible.posix.authorized_key:
    user: "{{ item }}"
    key: "{{ lookup('file', 'files/' + item + '.crt') }}"
    state: present
    exclusive: true
  loop: "{{ netops_users }}"
  become: true
- name: Allow 'sudo' group to have passwordless sudo
  ansible.builtin.lineinfile:
    dest: /etc/sudoers
    state: present
    regexp: "^%sudo"
    line: "%sudo ALL=(ALL) NOPASSWD: ALL"
    validate: "visudo -cf %s"
  become: true
